*###########################################################################################
*### Descriptive statistics - Functions

*### PATHS (Put the file path where you downloaded the contents of the zip file)
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
global path 	".../Example4/"
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

*### VERSION TRACK
/*
Created by Pavel Luengas
Last update: Nov 24, 2022

Version 1.0 - Nov 24, 2022
   - File created 

Contact me for comments and questions:
pavel@pavellsierra.com */

*===========================================================================================

version 14
set more off

*=================================================================================
*== FIGURE

**** Data not required ****

clear
set obs 100

gen y = .
gen x = .

replace x = _n/100

replace y = 0     if x<.33
replace y = 0.20  if x>=.33 & x<.66
replace y = 0     if x>=.66 & x<=1

set scheme s1mono  // Get rid of all color

twoway /*
   */ (line y  x, msymbol(D) lcolor(dknavy) lpattern(dash) lcolor(dknavy) lwidth(thick) ) /*
   */ (func y = 0.80 * x -.80 * x^2, lpattern(dash) lcolor(gs10) lwidth(medium)) /*
   */ , /*
   */ plotr(m(zero)) plotregion(lwidth(vthin) lcolor(black)) /* 
   */ aspect(.60) /* 
   */   /*
   */ title(" "  , size(medlarge))  /*
   */   /*
   */ ytitle("Use of commitment" "savings strategies?", margin(0 -8 0 0) size(medsmall)) /*
   */ yscale(range(0 .20)) /*
   */ ylabel(0 "No" .20 "Yes", labsize(medium) angle(horizontal)) /*
   */   /*
   */ xtitle("Pareto Weight", size(medium) margin(0 0 0 2))  /*
   */ xscale(range(0 1) lwidth(vthin) lcolor(black)) /*
   */ xlabel( /*
   */ 0 "0" /*
   */ 0.32 "{&mu}{subscript:3}" /*
   */ 0.49 "{&mu}{subscript:2}" /*
   */ 0.65 "{&mu}{subscript:1}" /*
   */ 1 "1",labsize(medium))  /*
   */   /*
   */ xline(.49,  lwidth(medium) lcolor(black) lpattern(dot)) /*
   */   /* 
   */ text(.1 0.84 "{&mu}{&isin}[{&mu}{subscript:1},1]", color(black) size(medium)) /*
   */ text(.1 0.57 "{&mu}{&isin}[{&mu}{subscript:2},{&mu}{subscript:1})", color(black) size(medium)) /*
   */ text(.08 0.57 "s{superscript:r} = 1/2 ", color(black) size(medium)) /*
   */ text(.1 0.42 "{&mu}{&isin}[{&mu}{subscript:3},{&mu}{subscript:2})", color(black) size(medium)) /*
   */ text(.08 0.42 "s{superscript:r} > 1/2 ", color(black) size(medium)) /*
   */ text(.1 0.17 "{&mu}{&isin}[0,{&mu}{subscript:3})", color(black) size(medium)) /*
   */   /* 
   */ legend(off)

graph export "$path/Figs/Figure.eps", replace 
graph save Graph "$path/Graph.gph", replace

